# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:       perl-File-RsyncP
Version:    0.74
Release:    alt2_4
Summary:    A perl implementation of an Rsync client
# https://fedoraproject.org/wiki/Licensing:FAQ?rd=Licensing/FAQ#What_about_the_RSA_license_on_their_MD5_implementation.3F_Isn.27t_that_GPL-incompatible.3F
License:    GPLv2 and GPLv3 and (GPL+ or Artistic)
Group:      Development/Perl
URL:        http://search.cpan.org/dist/File-RsyncP/
Source0:    http://search.cpan.org/CPAN/authors/id/C/CB/CBARRATT/File-RsyncP-%{version}.tar.gz
# Build
BuildRequires: perl
BuildRequires: perl(ExtUtils/MakeMaker.pm)
# Runtime
BuildRequires: perl(AutoLoader.pm)
BuildRequires: perl(Config.pm)
BuildRequires: perl(constant.pm)
BuildRequires: perl(Data/Dumper.pm)
BuildRequires: perl(DynaLoader.pm)
BuildRequires: perl(Encode.pm)
BuildRequires: perl(Exporter.pm)
BuildRequires: perl(Fcntl.pm)
BuildRequires: perl(File/Path.pm)
BuildRequires: perl(Getopt/Long.pm)
BuildRequires: perl(Socket.pm)
BuildRequires: perl(strict.pm)
BuildRequires: perl(vars.pm)
Source44: import.info
# Tests only
# nothing

%description
File::RsyncP is a perl implementation of an Rsync client. It is compatible with
Rsync 2.5.5 - 2.6.3 (protocol versions 26-28). It can send or receive files,
either by running rsync on the remote machine, or connecting to an rsyncd
daemon on the remote machine.

%prep
%setup -q -n File-RsyncP-%{version}
# Update config.guess/sub to fix builds on new architectures (aarch64/ppc64le)
# cp /usr/lib/rpm/config.* FileList/

%build
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_flags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} +
chmod -R u+w %{buildroot}/*

%check
make test

%files
%doc LICENSE
%doc Changes README
%{perl_vendor_archlib}/File/
%{perl_vendor_archlib}/auto/File/

%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.74-alt2_4
- update to new release by fcimport

* Fri Nov 27 2015 Cronbuild Service <cronbuild@altlinux.org> 0.74-alt2_3
- rebuild to get rid of unmets

* Mon Nov 09 2015 Igor Vlasenko <viy@altlinux.ru> 0.74-alt1_3
- update to new release by fcimport

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.70-alt4_10
- rebuild to get rid of unmets

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.70-alt3_10
- update to new release by fcimport

* Thu Sep 05 2013 Cronbuild Service <cronbuild@altlinux.org> 0.70-alt3_9
- rebuild to get rid of unmets

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.70-alt2_9
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.70-alt2_8
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.70-alt2_7
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.70-alt2_6
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.70-alt1_6
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.70-alt1_4
- fc import

